Loading...
Searching...
No Matches
dolfin::BoostGraphColoring Class Reference

This class colors a graph using the Boost Graph Library. More...

`#include <BoostGraphColoring.h>`

## Static Public Member Functions

template<typename ColorType>
static std::size_t | compute_local_vertex_coloring (const Graph &graph, std::vector< ColorType > &colors)
| Compute vertex colors.
template<typename T, typename ColorType>
static std::size_t | compute_local_vertex_coloring (const T &graph, std::vector< ColorType > &colors)
| Compute vertex colors.

## Detailed Description

This class colors a graph using the Boost Graph Library.

The documentation for this class was generated from the following file:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/graph/BoostGraphColoring.h